Skip to Content
veriom

Run all audits

Queue enabled repositories once; reuse any active source audits. The body is optional: without it every audit is a Full assessment. Send ``{"assessment_type": "architecture"}`` for the partial Architecture assessment.

POST
/v1/workspaces/{workspace_id}/audits/batch

Queue enabled repositories once; reuse any active source audits.

The body is optional: without it every audit is a Full assessment. Send {"assessment_type": "architecture"} for the partial Architecture assessment.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Header Parameters

Idempotency-Key*Idempotency-Key

Request Body

application/json
  1. body
assessment_type?SelectableAssessmentTypeId

What every queued audit runs: security (the Full assessment, and the default) or architecture (the partial one).

Default"security"
Value in"architecture""security"

Response Body

Successful Response

application/json
  1. response
already_active*array<>
batch_id*Batch Id
Formatuuid
items*array<>
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audits/batch' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "already_active": [    {      "assessment_type": "architecture",      "audit_type": "github",      "branch_ref": "string",      "commit_sha": "string",      "completed_at": "2019-08-24T14:15:22Z",      "coverage_gaps": [        {}      ],      "created_at": "2019-08-24T14:15:22Z",      "decisions": {        "assessment_type": "architecture",        "base": {          "assessment_type": "string",          "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",          "commit_sha": "string",          "completed_at": "2019-08-24T14:15:22Z"        },        "changes": {          "changed_areas": [            "string"          ],          "changed_classes": [            "string"          ],          "changed_paths": [            "string"          ],          "complete": true,          "unchanged": true        },        "items": [          {            "explanation": "string",            "key": "string",            "kind": "stage",            "label": "string",            "outcome": "reused",            "reason": "not_in_assessment_type",            "source_audit_id": "5b2a14a5-4417-422a-89c9-69ba885147c2",            "units_saved": "string"          }        ],        "totals": {          "recomputed": 0,          "reused": 0,          "skipped": 0,          "units_saved": "string"        }      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "origin": "manual",      "origin_ref": "string",      "profile_snapshot": {},      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "scanner_only": true,      "source": {        "detail": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "github",        "label": "string",        "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157"      },      "source_manifest": {},      "source_scope": {        "exclude_paths": [          "string"        ],        "include_paths": [          "string"        ]      },      "stages": [        {          "completed_at": "2019-08-24T14:15:22Z",          "coverage_gaps": [            {}          ],          "name": "string",          "started_at": "2019-08-24T14:15:22Z",          "status": "string"        }      ],      "status": "queued",      "structural_gate_result": {},      "trigger_reason": "string",      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",      "workflow_id": "string",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ],  "batch_id": "4da22c97-b7d5-4e31-8c3a-03870ebc7b20",  "items": [    {      "assessment_type": "architecture",      "audit_type": "github",      "branch_ref": "string",      "commit_sha": "string",      "completed_at": "2019-08-24T14:15:22Z",      "coverage_gaps": [        {}      ],      "created_at": "2019-08-24T14:15:22Z",      "decisions": {        "assessment_type": "architecture",        "base": {          "assessment_type": "string",          "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",          "commit_sha": "string",          "completed_at": "2019-08-24T14:15:22Z"        },        "changes": {          "changed_areas": [            "string"          ],          "changed_classes": [            "string"          ],          "changed_paths": [            "string"          ],          "complete": true,          "unchanged": true        },        "items": [          {            "explanation": "string",            "key": "string",            "kind": "stage",            "label": "string",            "outcome": "reused",            "reason": "not_in_assessment_type",            "source_audit_id": "5b2a14a5-4417-422a-89c9-69ba885147c2",            "units_saved": "string"          }        ],        "totals": {          "recomputed": 0,          "reused": 0,          "skipped": 0,          "units_saved": "string"        }      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "origin": "manual",      "origin_ref": "string",      "profile_snapshot": {},      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "scanner_only": true,      "source": {        "detail": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "github",        "label": "string",        "mcp_ingestion_id": "e483dfbe-1f30-4fa8-8989-0c8f1530c157"      },      "source_manifest": {},      "source_scope": {        "exclude_paths": [          "string"        ],        "include_paths": [          "string"        ]      },      "stages": [        {          "completed_at": "2019-08-24T14:15:22Z",          "coverage_gaps": [            {}          ],          "name": "string",          "started_at": "2019-08-24T14:15:22Z",          "status": "string"        }      ],      "status": "queued",      "structural_gate_result": {},      "trigger_reason": "string",      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",      "workflow_id": "string",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ]}